PDA

View Full Version : Errors while trying to compile SimpleFluidEmitter


DrChimay
09-15-2010, 05:25 PM
Hi folks!

I am not being able to compile the simpleFluidEmitter.vcproj.

Im not a regular programmer so i must been missing something.

Ive downloaded Microsoft Visual C++ 2010 Express and the SDK however it keeps asking me for some libraries, i`ve edited the project but still cant get to compile the plugin since its always asking me for “missing libraries” (at least thats what i think)

This is the error log (spanish version)

1>------ Operación Generar iniciada: proyecto: simpleFluidEmitter, configuración: Release x64 ------
1>LINK : fatal error LNK1181: cannot open input file ‘odbc32.lib’
========== Generar: 0 correctos, 1 incorrectos, 0 actualizados, 0 omitidos ==========

Im running windows 7 64 bits and trying to release a x64 version of the plugin

Hope someone can help me with this, im reaaaally looking forward to being able to emit fluids via animated textures!

Thanks in advance!

Keilun
09-15-2010, 09:09 PM
VC++ Express Edition doesn't come with the PlatformSDK. You will need to install that separately.

I think this is the appropriate download that you'll need:

http://www.microsoft.com/downloads/en/details.aspx?FamilyID=6b6c21d2-2006-4afa-9702-529fa782d63b&displaylang=en

You'll also need to ensure that the LIB path in your VC++ gets updated to include the PlatformSDK dir. If you google 'odbc32.lib', you'll come across more details about how to resolve this problem.

DrChimay
09-16-2010, 04:10 PM
Ive downloaded Microsoft Visual C++ 2010 Express and the SDK however it keeps asking me for some libraries, i`ve edited the project but still cant get to compile the plugin since its always asking me for “missing libraries” (at least thats what i think)


Thats exactly what i did Keliun, maybe its not the SDK but the express edition that lacks those libraries.

Maybe someone can help me in compiling a maya2010 64bits version of the plugin, any volunteers? hehe...

Keilun
09-16-2010, 06:16 PM
Thats exactly what i did Keliun, maybe its not the SDK but the express edition that lacks those libraries.

Maybe someone can help me in compiling a maya2010 64bits version of the plugin, any volunteers? hehe...

Ah ok. Then refer to the second part of my post and verify that you have the PlatformSDK directory in your lib path:

1. Tools > Options
2. Projects and Solutions > VC++ Directories
3. Show directories for > Library files

Check for the PlatformSDK folder. I'm not sure where the standalone SDK gets installed, but you'll want to make sure it's included in either that area, or directly embedded into the project file's library path. The former is the easier option.

DrChimay
09-16-2010, 06:32 PM
Thanks a lot dude!, will check those directories righ now and see if that works.

Cheers!!!

DrChimay
09-17-2010, 04:53 PM
Finally!

Just needed to grab a full microsoft visual studio version with libraries and all.

Below there´s a link in case someone needs the plugin, maya2010 64bits version, succesfully tested on Windows 7 and Vista

maya 2010 x64 simpleFluidEmitter.mll (http://www.megaupload.com/?d=7FVWVPLW)

Have fun!

Cheers!!!

CGTalk Moderation
09-17-2010, 04:53 PM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.